Description

1. the title of the Projection Selector dialogs that appear on layer load and for change CRS in layer properties should be "Select

Coordinate Reference System" or something like that in keeping with the recent change to the use of coordinate reference system

nomenclature.

2. the title of said dialog should include the layer name or datasource, at least on layer load when no CRS is found. This is because

multiple layers may be loaded at one time and the load order or even that some do have a CRS detected leads to confusion as to which

layer needs a CRS assigned.

3. the text (Define this layer's projection...) that appears on some of the dialogs explaining what the dialog is about refers to Projection.

This should be changed to Coordinate Reference System as it is the current usage.

4. for vector layers, including GPS layers, the Projection Selector dialog presented from the layer properties, change CRS, should not

have the text about defining the layer projection because one wasn't found. The text is somewhat misleading since one should have been

set at layer load. The change CRS dialog for raster layer properties does not have this text, so vector layers should be the same.

History

#1 - 2008-10-27 01:09 PM - Magnus Homann

Is this to late to update, Tim?

#2 - 2008-10-28 01:24 PM - Tim Sutton

Hi

I agree these are probably worth fixing - but you would need to get the OK from the community team folks to break the GUI freeze for this since it will

impact their work. Otherwise we should wait for QGIS 1.1.

Otto can you sound out the manual folks on this?

Regards

Tim

#3 - 2008-10-28 11:22 PM - Otto Dassau

it is ok for the community team. We adapt the changes in the manual - no problem.

regards,
 Otto

#4 - 2009-11-28 10:31 AM - Paolo Cavallini

What is the current state of this ticket? We are now changing the GUI in many palces, so it would seem the right time to apply this (or reject it).

#5 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2011-12-25 12:50 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No

- Assignee changed from Tim Sutton to Richard Duivenvoorde

Richard, do any of the above issues make any sense in the new CRS selector dialog? Please close if it does not make sense anymore.

#7 - 2012-01-28 03:00 PM - Giovanni Manghi

Richard, can this be closed now after all the latest changes in the CRS selector?

#8 - 2012-01-29 01:49 AM - Richard Duivenvoorde

- Resolution set to fixed

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

I had a look at the points the original author made, in combination with the new dialog.

I think all his points are handled now:

- the layer name is shown when asked for a CRS

- no speak of 'projections' anymore

I will close it now. If the original author finds parts of it should be open, please issue a new ticket.
